package com.ss.android.ugc.aweme.inbox;

import X.M12;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;

public final class InboxRefresh {
    @c(LIZ = "refresh_by_tab_change")
    public boolean refreshByTabChange = true;
    @c(LIZ = "refresh_threshold_by_resume")
    public String refreshThresholdByResume = "60";
    @c(LIZ = "refresh_threshold_by_tab_change")
    public String refreshThresholdByTabChange = "60";

    static {
        Covode.recordClassIndex(87816);
    }

    public final boolean getRefreshByTabChange() {
        return this.refreshByTabChange;
    }

    public final String getRefreshThresholdByResume() {
        return this.refreshThresholdByResume;
    }

    public final String getRefreshThresholdByTabChange() {
        return this.refreshThresholdByTabChange;
    }

    public final void setRefreshByTabChange(boolean z) {
        this.refreshByTabChange = z;
    }

    public final void setRefreshThresholdByResume(String str) {
        M12.LIZ(str);
        this.refreshThresholdByResume = str;
    }

    public final void setRefreshThresholdByTabChange(String str) {
        M12.LIZ(str);
        this.refreshThresholdByTabChange = str;
    }
}
